$( function(){
	if ( showTooltipPreviews == '1' && ! ( 'ontouchstart' in window ) )
	{
		$("*[data-preview*='/']").hoverIntent( 
			function(e){
				var classes = $(this).attr('class');
				$('body').append( '<div id="preview" class="stickytooltip ' + classes + '"><a href="' + $(this).parent().attr('href') + '"><img src="'+ $(this).data('preview') +'" alt="Image preview"></a></div>' );
				$(this).data('previewtext') ? $('#preview').append( '<p>' + $(this).data('previewtext') + '</p>' ) : null;
				$('#preview').removeClass('picture').fadeIn('fast');
				set_preview_position( e.clientX, e.clientY );
			},
			function(){
				$('#preview').hide().remove();
			}
		);	
		$("*[data-preview*='/']").mousemove( function(e){
			set_preview_position( e.clientX, e.clientY );
		});
	}
	if ( showLightbox == '1' && ! ( 'ontouchstart' in window ) )
	{
		$('div[data-lbid]:not(.marked)').html( '<a href="#" onclick="lightbox_add(this); return false;" title="' + idiom['s_btn_addtolb'] + '" class="lb">' + idiom['s_btn_addtolb_small'] + '<\/a>' );
		$('div[data-lbid].marked').html( '<a href="#" onclick="lightbox_remove(this); return false;" title="' + idiom['s_txt_0012'] + '" class="lb">X<\/a>' );
		$('div.thumbnail.image').mouseenter( function(){ $(this).find('div.lbbutton:hidden').addClass('was-hidden').show();	} );
		$('div.thumbnail.image').mouseleave( function(){ $(this).find('div.lbbutton.was-hidden').removeClass('was-hidden').hide();	} );
	}
});


function set_preview_position( mouseX, mouseY )
{
	var ww = window.innerWidth;
	var wh = window.innerHeight;
	var bw = $('#preview').outerWidth();
	var bh = $('#preview').outerHeight();
	bw = bw < 100 ? 400 : bw; // neccessary when image has not loaded yet
	bh = bh < 100 ? 400 : bh; // and the box has zero width and/or height
	var posx = mouseX + previewOffsetX + bw + 20 > ww ? mouseX - bw - 20 : mouseX + previewOffsetX;
	var posy = mouseY - previewOffsetY + bh + 20 > wh ? wh - bh - 20 : mouseY - previewOffsetY;
	$('#preview')
	.css( 'top', '' + posy + 'px' )
	.css( 'left', '' + posx + 'px' );
}


function lightbox_add( elm )
{
	var vtid = $(elm).parent().data('lbid');
	$( 'div[data-lbid=' + vtid + ']' ).html( '<img src="' + ajaxLoader + '" title="' + idiom['s_msg_0020'] + '" alt="' + idiom['s_msg_0020'] + '" border="0">' );
	$.get( urlLightboxAdd + '&amp;vtid=' + vtid, function( data ){
		if ( data.indexOf( '|' ) != -1 )
		{
			var update = data.split('|');
			$( 'div[data-lbid=' + update[1] + ']' )
			.html( '<a href="#" onclick="lightbox_remove(this); return false;" title="' + idiom['s_txt_0012'] + '" class="lb">X<\/a>' )
			.addClass('marked');
			$('.lbcount').text( update[2] );
		}
	});
}

function lightbox_remove( elm )
{
	var vtid = $(elm).parent().data('lbid');
	$('#preview').hide().remove();
	$( 'div[data-lbid=' + vtid + ']' ).html( '<img src="' + ajaxLoader + '" title="' + idiom['s_msg_0020'] + '" alt="' + idiom['s_msg_0020'] + '" border="0">' );
	$.get( urlLightboxRemove + '&amp;vtid=' + vtid, function( data ){
		if ( data.indexOf( '|' ) != -1 )
		{
			var update = data.split('|');

			if ( isLightboxView == '1' )
			{
				if ( $('#linkNext').length > 0 || $('div.picture:visible').length == 1 )
				{
					window.location.reload();
				}
				else
				{
					$( 'div[data-lbid=' + update[1] + ']' ).parents('div.thumbnail').first().hide();
					$('#permalink').attr( 'href', update[2] );
					$('.lbcount').text( $('div.thumbnail:visible').length );
				}
			}
			else
			{
				$( 'div[data-lbid=' + update[1] + ']' )
				.html( '<a href="#" onclick="lightbox_add(this); return false;" title="' + idiom['s_btn_addtolb'] + '" class="lb">' + idiom['s_btn_addtolb_small'] + '<\/a>' )
				.removeClass('marked');
				$('.lbcount').text( update[3] );
			}
		}
	});
}
